package com.sundot.airport.exam.common.model.result.sub;

import com.sundot.airport.exam.enums.CorrectStatusEnum;
import com.sundot.airport.exam.enums.QuesOptionTypeEnum;

/**
 * <b>功能名：ExamRecordOption</b><br>
 * <b>说明：</b> 用户测试记录选项 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：</b><br>
 *
 * @author 2021-07-06 Mokou
 */
public class ExamRecordOption {
    /**
     * 选项业务主键ID
     */
    private String eroId;

    /**
     * 用户答案
     */
    private String eroConnNo;

    /**
     * 填空题中 用户回答正确的空的下标 JsonArray字符串
     */
    private String eroCorrectBlankIdx;

    /**
     * 选项排序
     */
    private Integer eroSort;

    /**
     * 非连线题时 表示是否为正确答案
     */
    private Boolean eroQoCorrect;

    /**
     * 选项类型
     * 非连线题时 表示当前选项类型
     * 连线题时 表示第一列项的类型
     */
    private QuesOptionTypeEnum eroQoOptionType;

    /**
     * 选项内容 文字或图片
     * 非连线题时 表示当前选项内容
     * 连线题时 表示第一列选项内容
     */
    private String eroQoOption;

    /**
     * 连线题对应的正确项排序号
     */
    private Integer eroQoConnSort;

    /**
     * 选项类型
     * 连线题对应的正确项类型
     */
    private QuesOptionTypeEnum eroQoConnOptType;

    /**
     * 连线题对应的正确项内容 文字或图片
     */
    private String eroQoConnOpt;

    /**
     * 题目回答正确情况
     */
    private CorrectStatusEnum eroCorrectStatus;

    public String getEroId() {
        return eroId;
    }

    public void setEroId(String eroId) {
        this.eroId = eroId;
    }

    public String getEroConnNo() {
        return eroConnNo;
    }

    public void setEroConnNo(String eroConnNo) {
        this.eroConnNo = eroConnNo;
    }

    public Integer getEroSort() {
        return eroSort;
    }

    public void setEroSort(Integer eroSort) {
        this.eroSort = eroSort;
    }

    public Boolean getEroQoCorrect() {
        return eroQoCorrect;
    }

    public void setEroQoCorrect(Boolean eroQoCorrect) {
        this.eroQoCorrect = eroQoCorrect;
    }

    public QuesOptionTypeEnum getEroQoOptionType() {
        return eroQoOptionType;
    }

    public void setEroQoOptionType(QuesOptionTypeEnum eroQoOptionType) {
        this.eroQoOptionType = eroQoOptionType;
    }

    public String getEroQoOption() {
        return eroQoOption;
    }

    public void setEroQoOption(String eroQoOption) {
        this.eroQoOption = eroQoOption;
    }

    public Integer getEroQoConnSort() {
        return eroQoConnSort;
    }

    public void setEroQoConnSort(Integer eroQoConnSort) {
        this.eroQoConnSort = eroQoConnSort;
    }

    public QuesOptionTypeEnum getEroQoConnOptType() {
        return eroQoConnOptType;
    }

    public void setEroQoConnOptType(QuesOptionTypeEnum eroQoConnOptType) {
        this.eroQoConnOptType = eroQoConnOptType;
    }

    public String getEroQoConnOpt() {
        return eroQoConnOpt;
    }

    public void setEroQoConnOpt(String eroQoConnOpt) {
        this.eroQoConnOpt = eroQoConnOpt;
    }

    public CorrectStatusEnum getEroCorrectStatus() {
        return eroCorrectStatus;
    }

    public void setEroCorrectStatus(CorrectStatusEnum eroCorrectStatus) {
        this.eroCorrectStatus = eroCorrectStatus;
    }

    public String getEroCorrectBlankIdx() {
        return eroCorrectBlankIdx;
    }

    public void setEroCorrectBlankIdx(String eroCorrectBlankIdx) {
        this.eroCorrectBlankIdx = eroCorrectBlankIdx;
    }

    @Override
    public String toString() {
        return "ExamRecordOption{" +
                "eroId='" + eroId + '\'' +
                ", eroConnNo='" + eroConnNo + '\'' +
                ", eroCorrectBlankIdx='" + eroCorrectBlankIdx + '\'' +
                ", eroSort=" + eroSort +
                ", eroQoCorrect=" + eroQoCorrect +
                ", eroQoOptionType=" + eroQoOptionType +
                ", eroQoOption='" + eroQoOption + '\'' +
                ", eroQoConnSort=" + eroQoConnSort +
                ", eroQoConnOptType=" + eroQoConnOptType +
                ", eroQoConnOpt='" + eroQoConnOpt + '\'' +
                ", eroCorrectStatus=" + eroCorrectStatus +
                '}';
    }
}
